@echo off

set OUTPUT_NAME="PinkertonRepellent.asi"
set SHRDR2_LIB_PATH="..\..\scripthook-sdk\lib\ScriptHookRDR2.lib"
set SHRDR2_INCLUDE_PATH="..\..\scripthook-sdk\inc"
set INSTALL_DIR="D:\SteamLibrary\steamapps\common\Red Dead Redemption 2\"


set COMMON_FLAGS=/nologo /Fe%OUTPUT_NAME% /utf-8 /DUNICODE /DWIN32_LEAN_AND_MEAN 
if ["%1"] == ["release"] (
	cl script.cpp ^
		%SHRDR2_LIB_PATH% /I%SHRDR2_INCLUDE_PATH% ^
		%COMMON_FLAGS% /LD /O2 /GL /DNDEBUG ^
	|| goto fail
) else (
	cl script.cpp ^
		%SHRDR2_LIB_PATH% /I%SHRDR2_INCLUDE_PATH% ^
		%COMMON_FLAGS% /LDd /Od /MP ^
	|| goto fail
)

copy /Y %OUTPUT_NAME% %INSTALL_DIR% || goto fail

goto success

:fail
	echo Build failed.
	del *.obj
	del %OUTPUT_NAME%
	exit /b 1

:success
	echo Build finished.
	del *.obj
	exit /b 0
